Bug 174717 - CVE-2005-3962 Perl integer overflow issue
CVE-2005-3962 Perl integer overflow issue
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: perl (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
David Lawrence
impact=moderate,source=fulldisclosure...
: Security
Depends On: 174683
Blocks: 168424
  Show dependency treegraph
 
Reported: 2005-12-01 12:29 EST by Jason Vas Dias
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2005-881
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-20 10:00:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Vas Dias 2005-12-01 12:29:41 EST
+++ This bug was initially created as a clone of Bug #174683 +++

Perl integer overflow issue

There exists an integer overflow problem in Perl which can lead to a
string format issue.  If a large enough integer is supplied to a
printf statement which uses the %n conversion, it may be possible to
execute arbitrary code.  This problem will not be easy to remotely
exploit as a very poorly written script will first be needed.

http://marc.theaimsgroup.com/?l=full-disclosure&m=113342788118630&w=2

Doesn't Affec: RHEL2.1 

This issue also affects RHEL3

-- Additional comment from bressers@redhat.com on 2005-12-01 08:39 EST --
Created an attachment (id=121682)
Proposed patch


-- Additional comment from jvdias@redhat.com on 2005-12-01 12:27 EST --
Created an attachment (id=121695)
upstream patch #26240 for this issue


-- Additional comment from jvdias@redhat.com on 2005-12-01 12:28 EST --
Now applying to perl-5.8.5-18.RHEL4
Comment 1 Jason Vas Dias 2005-12-01 12:30:32 EST
Applying to perl-5.8.0-90.3 for RHEL-3
Comment 2 Jason Vas Dias 2005-12-01 14:49:00 EST
Fixed with perl-5.8.0-90.3 
Comment 6 Mark J. Cox (Product Security) 2005-12-16 06:47:50 EST
async, RHSA-2005:881 ON_QA
Comment 7 Red Hat Bugzilla 2005-12-20 10:00:46 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-881.html

Note You need to log in before you can comment on or make changes to this bug.